Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname console-browserify

Name:           nodejs-%{srcname}
Version:        1.1.0
Release:        alt1_8
Summary:        Emulate console for all the browsers
License:        MIT
URL:            https://github.com/Raynos/%{srcname}
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(date-now)
BuildRequires:  npm(tape)
%endif
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep date-now '^1.0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node ./test/index.js
%endif


%files
%doc README.md LICENCE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_8
- new version

